(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     23609,        612]*)
(*NotebookOutlinePosition[     24325,        637]*)
(*  CellTagsIndexPosition[     24281,        633]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
    \( (*\ 
      7\ 7\ 3\ 7\ 1\ *) \[IndentingNewLine]Print["\<For each rotation, first \
line is X, second is Y\>"]\), "\[IndentingNewLine]", 
    \(Print["\<1 rotation qo\>"]\[IndentingNewLine] (*\ 
      rot\ 1\ *) \), "\[IndentingNewLine]", 
    \(\(X\_\(\(1\)\(\ \)\)\  = \ 1;\)\), "\[IndentingNewLine]", 
    \(\(Y\_\(\(1\)\(\ \)\)\  = \ 20;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ \((Y\_\(\(1\)\(\ \)\)*\ 
              1)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ \((X\_\(\(1\)\(\ \)\)\ *\ 
              1)\)\ ;\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(Print["\<7 rotations q1\>"]\[IndentingNewLine] (*\ 
      rot\ 1\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 2\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 3\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 4\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 5\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 6\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 7\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(Print["\<3 rotations q2\>"]\[IndentingNewLine] (*\ 
      rot\ 1\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/100)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/100)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 2\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/100)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/100)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 3\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/100)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/100)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(Print["\<7 rotations q3\>"]\[IndentingNewLine] (*\ 
      rot\ 1\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 2\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 3\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 4\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 5\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 6\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 7\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/1000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/1000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(Print["\<7 rotations q4\>"]\[IndentingNewLine] (*\ 
      rot\ 1\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 2\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 3\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 4\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 5\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 6\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\[IndentingNewLine] (*\ 
      rot\ 7\ *) \), "\[IndentingNewLine]", 
    \(Print["\<Final 7th rotation q3\>"]\), "\[IndentingNewLine]", 
    \(\(X\_1\  = \ X\_2;\)\), "\[IndentingNewLine]", 
    \(\(Y\_1 = \ Y\_2;\)\), "\[IndentingNewLine]", 
    \(\(X\_2\  = \ 
        X\_\(\(1\)\(\ \)\) + \ 
          Y\_\(\(1\)\(\ \)\)*\ \((1/10000)\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(Y\_2 = \ 
        Y\_\(\(1\)\(\ \)\) - \ 
          X\_\(\(1\)\(\ \)\)\ *\ \((1/10000)\);\)\), "\[IndentingNewLine]", 
    \(N[X\_2, 20]\), "\[IndentingNewLine]", 
    \(N[Y\_2, 20]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(res\  = \ Y\_2\ /\ X\_2;\)\), "\[IndentingNewLine]", 
    \(Print["\<remainder Y/X =\>", N[%, 20]]\), "\[IndentingNewLine]", 
    \(\(\[Alpha]\_0 = ArcTan[1]\ ;\)\), "\[IndentingNewLine]", 
    \(\(N[%, 20];\)\), "\[IndentingNewLine]", 
    \(\(\[Alpha]\_1 = ArcTan[1/10];\)\), "\[IndentingNewLine]", 
    \(\(N[%, 20]\ ;\)\), "\[IndentingNewLine]", 
    \(\(\[Alpha]\_2 = \ ArcTan[1/100]\ ;\)\), "\[IndentingNewLine]", 
    \(\(N[%, 20];\)\), "\[IndentingNewLine]", 
    \(\(\[Alpha]\_3 = ArcTan[1/1000]\ ;\)\), "\[IndentingNewLine]", 
    \(\(N[%, 20]\ ;\)\), "\[IndentingNewLine]", 
    \(\(\[Alpha]\_4 = ArcTan[1/10000]\ ;\)\), "\[IndentingNewLine]", 
    \(\(N[%, 20];\)\), "\[IndentingNewLine]", 
    \(\(angle = \ res\  + \ 7  \[Alpha]\_4\ ;\)\), "\[IndentingNewLine]", 
    \(Print["\<after 7 pm q4 =\>", N[%, 20]]\), "\[IndentingNewLine]", 
    \(\(angle = \ 
        res\  + \ 7  \[Alpha]\_3\ \  + \ 
          7  \[Alpha]\_4\ ;\)\), "\[IndentingNewLine]", 
    \(Print["\<after 7 pm q4 + 7 pm q3 =\>", 
      N[%, 20]]\), "\[IndentingNewLine]", 
    \(\(angle = \ 
        res\  + \ 3  \[Alpha]\_2\  + \ 7  \[Alpha]\_3\ \  + \ 
          7  \[Alpha]\_4\ ;\)\), "\[IndentingNewLine]", 
    \(Print["\<after 7 pm q4 + 7 pm q3 + 3 pm q2 =\>", 
      N[%, 20]]\), "\[IndentingNewLine]", 
    \(\(angle = \ 
        res\  + \ 7  \[Alpha]\_1\  + 3  \[Alpha]\_2\  + \ 
          7  \[Alpha]\_3\ \  + \ 
          7  \[Alpha]\_4\ ;\)\), "\[IndentingNewLine]", 
    \(Print["\<after 7 pm q4 + 7 pm q3 + 3 pm q2 + 7 pm q1 =\>", 
      N[%, 20]]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(angle = \ 
        res\  + \ 1\ \[Alpha]\_0 + 7  \[Alpha]\_1\  + 3  \[Alpha]\_2\  + 
          7  \[Alpha]\_3\  + 7  \[Alpha]\_4\ ;\)\), "\[IndentingNewLine]", 
    \(Print["\<angle radian =\>", N[%, 20]]\), "\[IndentingNewLine]", 
    \(\(angle2\  = \ angle\ /\ Degree;\)\), "\[IndentingNewLine]", 
    \(Print["\<angle degree =\>", N[%, 20]]\[IndentingNewLine]\)}], "Input"],

Cell[BoxData[
    \("For each rotation, first line is X, second is Y"\)], "Print"],

Cell[BoxData[
    \("1 rotation qo"\)], "Print"],

Cell[BoxData[
    \(21.`20\)], "Output"],

Cell[BoxData[
    \(19.`20\)], "Output"],

Cell[BoxData[
    \("7 rotations q1"\)], "Print"],

Cell[BoxData[
    \(22.9`20\)], "Output"],

Cell[BoxData[
    \(16.9`20\)], "Output"],

Cell[BoxData[
    \(24.59`20\)], "Output"],

Cell[BoxData[
    \(14.61`20\)], "Output"],

Cell[BoxData[
    \(26.051`20\)], "Output"],

Cell[BoxData[
    \(12.151`20\)], "Output"],

Cell[BoxData[
    \(27.2661`20\)], "Output"],

Cell[BoxData[
    \(9.545899999999999999999999999994669`20\)], "Output"],

Cell[BoxData[
    \(28.22069`20\)], "Output"],

Cell[BoxData[
    \(6.81929`20\)], "Output"],

Cell[BoxData[
    \(28.902619`20\)], "Output"],

Cell[BoxData[
    \(3.997221`20\)], "Output"],

Cell[BoxData[
    \(29.3023411`20\)], "Output"],

Cell[BoxData[
    \(1.1069591`20\)], "Output"],

Cell[BoxData[
    \("3 rotations q2"\)], "Print"],

Cell[BoxData[
    \(29.313410691`20\)], "Output"],

Cell[BoxData[
    \(0.813935689`20\)], "Output"],

Cell[BoxData[
    \(29.32155004789`20\)], "Output"],

Cell[BoxData[
    \(0.52080158208999999999999999999999806508`20\)], "Output"],

Cell[BoxData[
    \(29.32675806371089999999999999999265`20\)], "Output"],

Cell[BoxData[
    \(0.22758608161109999999999999999999962998`20\)], "Output"],

Cell[BoxData[
    \("7 rotations q3"\)], "Print"],

Cell[BoxData[
    \(29.3269856497925111`20\)], "Output"],

Cell[BoxData[
    \(0.19825932354738909999999999999999981381`20\)], "Output"],

Cell[BoxData[
    \(29.3271839091160584891`20\)], "Output"],

Cell[BoxData[
    \(0.1689323378975965889`20\)], "Output"],

Cell[BoxData[
    \(29.3273528414539560856889`20\)], "Output"],

Cell[BoxData[
    \(0.13960515398848053041089999999999951103`20\)], "Output"],

Cell[BoxData[
    \(29.3274924466079445662193109`20\)], "Output"],

Cell[BoxData[
    \(0.110277801147026574325211099999999`20\)], "Output"],

Cell[BoxData[
    \(29.327602724409091592793636111053433`20\)], "Output"],

Cell[BoxData[
    \(0.08095030870041862975899178909990104823`20\)], "Output"],

Cell[BoxData[
    \(29.3276836747177920114233951029`20\)], "Output"],

Cell[BoxData[
    \(0.05162270597600953816619815298889934787`20\)], "Output"],

Cell[BoxData[
    \(29.327735297423768020961561301`20\)], "Output"],

Cell[BoxData[
    \(0.02229502230129174615477475788601`20\)], "Output"],

Cell[BoxData[
    \("7 rotations q4"\)], "Print"],

Cell[BoxData[
    \(29.3277375269259981501361767785`20\)], "Output"],

Cell[BoxData[
    \(0.019362248771549369352678601755907`20\)], "Output"],

Cell[BoxData[
    \(29.327739463150875305073112046362311`20\)], "Output"],

Cell[BoxData[
    \(0.01642947501885676953766498407805425991`20\)], "Output"],

Cell[BoxData[
    \(29.3277411060983771907500658129`20\)], "Output"],

Cell[BoxData[
    \(0.01349670107254168200715767287341705279`20\)], "Output"],

Cell[BoxData[
    \(29.3277424557684844449182665286`20\)], "Output"],

Cell[BoxData[
    \(0.010563926961931844288082666292131`20\)], "Output"],

Cell[BoxData[
    \(29.3277435121611806381026953369`20\)], "Output"],

Cell[BoxData[
    \(0.007631152716354995843590839639274`20\)], "Output"],

Cell[BoxData[
    \(29.327744275276452273602279696`20\)], "Output"],

Cell[BoxData[
    \(0.004698378365138877779780570105574`20\)], "Output"],

Cell[BoxData[
    \("Final 7th rotation q3"\)], "Print"],

Cell[BoxData[
    \(29.327744745114288787490057674`20\)], "Output"],

Cell[BoxData[
    \(0.001765603937611232552420342135974`20\)], "Output"],

Cell[BoxData[
    InterpretationBox[\("remainder Y/X \
="\[InvisibleSpace]0.0000602025131136401016911104431412501967975`20\),
      SequenceForm[ "remainder Y/X =", 0.000060202513113640101691`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("after 7 pm q4 \
="\[InvisibleSpace]0.00076020251078030678235777700980787655`20\),
      SequenceForm[ "after 7 pm q4 =", 0.00076020251078030678236`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("after 7 pm q4 + 7 pm q3 \
="\[InvisibleSpace]0.00776020017744837344802444445425219156`20\),
      SequenceForm[ "after 7 pm q4 + 7 pm q3 =", 0.007760200177448373448`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("after 7 pm q4 + 7 pm q3 + 3 pm q2 \
="\[InvisibleSpace]0.03775920023744408806704479308229084271`20\),
      SequenceForm[ 
      "after 7 pm q4 + 7 pm q3 + 3 pm q2 =", 0.037759200237444088067`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("after 7 pm q4 + 7 pm q3 + 3 pm q2 + 7 pm q1 ="\
\[InvisibleSpace]0.73543976767557827971616760448530334506`20\),
      SequenceForm[ 
      "after 7 pm q4 + 7 pm q3 + 3 pm q2 + 7 pm q1 =", 
        0.73543976767557827972`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("angle radian \
="\[InvisibleSpace]1.520837931073026589331828450305136`20\),
      SequenceForm[ "angle radian =", 1.5208379310730265893`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("angle degree \
="\[InvisibleSpace]87.137594773892419675896664166767603`20\),
      SequenceForm[ "angle degree =", 87.137594773892419676`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("after 7 pm q4 + 7 pm q3 + 3 pm q2 \
="\[InvisibleSpace]0.03775920023744408806704479308229084271`20\),
      SequenceForm[ 
      "after 7 pm q4 + 7 pm q3 + 3 pm q2 =", 0.037759200237444088067`20],
      Editable->False]], "Print",
  GeneratedCell->False,
  CellAutoOverwrite->False],

Cell[BoxData[
    InterpretationBox[\("angle radian \
="\[InvisibleSpace]1.520837931073026589331828450305136`20\),
      SequenceForm[ "angle radian =", 1.5208379310730265893`20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("angle degree \
="\[InvisibleSpace]87.137594773892419675896664166767603`20\),
      SequenceForm[ "angle degree =", 87.137594773892419676`20],
      Editable->False]], "Print"]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{732, 553},
WindowMargins->{{47, Automatic}, {Automatic, 6}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 15787, 321, 5170, "Input"],
Cell[17529, 374, 82, 1, 25, "Print"],
Cell[17614, 377, 48, 1, 25, "Print"],
Cell[17665, 380, 40, 1, 29, "Output"],
Cell[17708, 383, 40, 1, 29, "Output"],
Cell[17751, 386, 49, 1, 25, "Print"],
Cell[17803, 389, 41, 1, 29, "Output"],
Cell[17847, 392, 41, 1, 29, "Output"],
Cell[17891, 395, 42, 1, 29, "Output"],
Cell[17936, 398, 42, 1, 29, "Output"],
Cell[17981, 401, 43, 1, 29, "Output"],
Cell[18027, 404, 43, 1, 29, "Output"],
Cell[18073, 407, 44, 1, 29, "Output"],
Cell[18120, 410, 72, 1, 29, "Output"],
Cell[18195, 413, 45, 1, 29, "Output"],
Cell[18243, 416, 44, 1, 29, "Output"],
Cell[18290, 419, 46, 1, 29, "Output"],
Cell[18339, 422, 45, 1, 29, "Output"],
Cell[18387, 425, 47, 1, 29, "Output"],
Cell[18437, 428, 46, 1, 29, "Output"],
Cell[18486, 431, 49, 1, 25, "Print"],
Cell[18538, 434, 49, 1, 29, "Output"],
Cell[18590, 437, 48, 1, 29, "Output"],
Cell[18641, 440, 51, 1, 29, "Output"],
Cell[18695, 443, 77, 1, 29, "Output"],
Cell[18775, 446, 72, 1, 29, "Output"],
Cell[18850, 449, 77, 1, 29, "Output"],
Cell[18930, 452, 49, 1, 25, "Print"],
Cell[18982, 455, 56, 1, 29, "Output"],
Cell[19041, 458, 77, 1, 29, "Output"],
Cell[19121, 461, 59, 1, 29, "Output"],
Cell[19183, 464, 58, 1, 29, "Output"],
Cell[19244, 467, 62, 1, 29, "Output"],
Cell[19309, 470, 77, 1, 29, "Output"],
Cell[19389, 473, 65, 1, 29, "Output"],
Cell[19457, 476, 72, 1, 29, "Output"],
Cell[19532, 479, 73, 1, 29, "Output"],
Cell[19608, 482, 77, 1, 29, "Output"],
Cell[19688, 485, 68, 1, 29, "Output"],
Cell[19759, 488, 77, 1, 29, "Output"],
Cell[19839, 491, 67, 1, 29, "Output"],
Cell[19909, 494, 71, 1, 29, "Output"],
Cell[19983, 497, 49, 1, 25, "Print"],
Cell[20035, 500, 68, 1, 29, "Output"],
Cell[20106, 503, 72, 1, 29, "Output"],
Cell[20181, 506, 73, 1, 29, "Output"],
Cell[20257, 509, 77, 1, 29, "Output"],
Cell[20337, 512, 68, 1, 29, "Output"],
Cell[20408, 515, 77, 1, 29, "Output"],
Cell[20488, 518, 68, 1, 29, "Output"],
Cell[20559, 521, 72, 1, 29, "Output"],
Cell[20634, 524, 68, 1, 29, "Output"],
Cell[20705, 527, 72, 1, 29, "Output"],
Cell[20780, 530, 67, 1, 29, "Output"],
Cell[20850, 533, 72, 1, 29, "Output"],
Cell[20925, 536, 56, 1, 25, "Print"],
Cell[20984, 539, 67, 1, 29, "Output"],
Cell[21054, 542, 72, 1, 29, "Output"],
Cell[21129, 545, 230, 4, 25, "Print"],
Cell[21362, 551, 224, 4, 25, "Print"],
Cell[21589, 557, 242, 4, 25, "Print"],
Cell[21834, 563, 269, 5, 25, "Print"],
Cell[22106, 570, 297, 6, 25, "Print"],
Cell[22406, 578, 213, 4, 25, "Print"],
Cell[22622, 584, 214, 4, 25, "Print"],
Cell[22839, 590, 321, 7, 25, "Print"],
Cell[23163, 599, 213, 4, 25, "Print"],
Cell[23379, 605, 214, 4, 25, "Print"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

